Wat is WP-CLI?

De naam is afkomstig van ‘WordPress Command Line Interface’ – WP-CLI. Je kunt WP-CLI gebruiken om WordPress te beheren en:

  • Fouten en problemen op te sporen en op te lossen
  • Het gebruik van de interface te omzeilen wanneer de backend niet beschikbaar is
  • Regelmatig onderhoud en updates uit te voeren

Dit artikel bevat een lijst met enkele commando’s die jou van pas kunnen komen, maar de lijst is niet uitputtend. Klik op de link om meer WP-CLI te ontdekken.

IN DIT ARTIKEL

Hoe kan ik WP-CLI gebruiken?

WP-CLI is geïnstalleerd op alle Webhosting pakketten bij My Hosting. Alles wat je moet doen is inloggen op jouw account via SSH. Bij Windows kan je daarvoor gebruik maken van een gratis SSH client zoals Putty. Voor Linux en Mac kan je gewoon jouw terminal gebruiken.

Alle WP-CLI commando’s die hierna volgen moeten uitgevoerd worden vanuit de directory waar jouw WordPress geïnstalleerd is. Om van huidige directory te wisselen gebruik je gewoon het cd commando, bijvoorbeeld:

cd www/ 

Commando’s voor het beheer van de gebruiker in WP-CLI

Een gebruiker aanmaken

Dit commando zal een nieuwe gebruiker aanmaken met als gebruikersnaam “username”, met de vermelde permissies, e-mailadres en wachtwoord.

wp user create username-here your-email@address.com --role=administrator --user_pass=password-here

Een gebruiker verwijderen

Dit commando zal de gebruiker met de vermelde gebruikersnaam verwijderen – in dit geval “username”.

wp user delete username

Alle gebruikers oplijsten

Het volgende commando zal een lijst tonen van alle gebruikers in uw CMS met hun ID, schermnaam, e-mailadres en permissies / rol

wp user list

Het wachtwoord van een gebruiker wijzigen

Gebruik het numerieke ID uit de output van het vorige commando om het wachtwoord voor een bepaalde gebruiker te wijzigen

wp user update 1 --user_pass=new-password-here

WordPress updates via WP-CLI

WordPress core

Controleer de huidige versie van de WordPress core:

wp core version

Update de WordPress core naar de laatste beschikbare versie

wp core update

Indien je naar een bepaalde versie moet updaten, omdat bijvoorbeeld een plug-in die je gebruikt niet compatibel is met de laatste beschikbare WordPress versie, dan kan je WordPress dwingen om naar de gewenste versie te updaten. Het onderstaand voorbeeld zou jouw CMS laten updaten naar WordPress v4.5

wp core update --version=4.5 --force

Thema’s

Controleer de huidige status van alle thema’s en kijk of er updates beschikbaar zijn

wp theme list

OF

wp theme status

Je zal nu de naam zien, de versie en een letter bij het thema: I = Inactief, A = Actief, U = Update beschikbaar

Controleer enkel op verouderde thema’s:

wp theme list | grep "available"

Update alle thema’s:

wp theme update --all

Plug-ins

Controleer de huidige status van alle plug-ins en de beschikbare updates

wp plugin list

OF

wp plugin status

Je zal nu de naam zien, de versie en een letter bij het thema: I = Inactief, A = Actief, U = Update beschikbaar

Controleer enkel op verouderde plug-ins:

wp plugin list | grep "available"

Update alle plug-ins:

wp plugin update --all

Update slechts één plug-in:

wp plugin update name-of-plugin

Plug-ins beheren

Alle plug-ins uitschakelen

wp plugin deactivate --all

Alle plug-ins activeren

wp plugin activate --all

Een bepaalde plug-in uit/aanzetten

wp plugin deactivate name-of-plugin

OF

wp plugin activate name-of-plugin
Geüpdatet op 20 mei 2020

Heeft dit artikel jou geholpen?